Bug 1690414 - dnf continues despite an error code from test-transaction
Summary: dnf continues despite an error code from test-transaction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: amatej
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1660232 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 12:35 UTC by Panu Matilainen
Modified: 2020-11-14 12:24 UTC (History)
10 users (show)

Fixed In Version: dnf-4.2.7-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1660232
Environment:
Last Closed: 2019-11-05 22:21:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:55 UTC

Internal Links: 1698850

Comment 3 amatej 2019-04-11 12:03:04 UTC
Created a PR for this: https://github.com/rpm-software-management/dnf/pull/1379

Thank you for the explanation and help.

Comment 6 Karel Srot 2019-05-03 12:33:29 UTC
Hi Panu,
one thing that confuses me is that the bug 1690414 is filed against dnf on RHEL-8 while bug 1660232 is filed against rpm on RHEL-7.
Could you please clarify what are the right packages to address the issue and if that would be both in yum/dnf and rpm?
Also, is there a way how to verify (functionally) the fix made solely on rpm side? Would that prevent yum/dnf from segfaulting or a different test is needed?

Comment 8 Panu Matilainen 2019-05-06 09:04:12 UTC
This is a somewhat confusing bug as several different packages are involved with different failure characteristics on each. 
In a sense, this could be addressed on just dnf/yum side, or rpm. But there are flaws on both sides, so its better to cover both as it's possible those flaws could be reached through other means as well. 

On rpm we need to avoid a NULL pointer in a specific place, that's bug 1698850 and bug 1660232 for RHEL-8 and RHEL-7 respectively. Both dnf and yum need essentially the same fix for test-transaction return code checking to cover other similar non-package oriented errors that might occur in the (test-)transaction.

Rpm itself cannot directly reproduce the issue, but yes the rpm-side fix will prevent the segfault in both dnf and yum, so the same test (using unfixed dnf/yum) can be used to test it.

Comment 9 Karel Srot 2019-05-06 10:15:04 UTC
Hi Panu,
thank you for additional info. It seems that we still need RHEL-7 bugs for yum and nextgen-yum4 (dnf).

Comment 11 Panu Matilainen 2019-05-06 10:20:12 UTC
Bug 1690376 tracks the RHEL-7 yum side, but I wasn't even aware of nextgen-yum4...

Comment 23 amatej 2019-06-24 14:36:19 UTC
Created a PR https://github.com/rpm-software-management/dnf/pull/1424 that should prevent the empty Error Summary.

Comment 29 errata-xmlrpc 2019-11-05 22:21:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.